Bug 110562 - konsole's konsole_grantpty is not installed with SUID set
Summary: konsole's konsole_grantpty is not installed with SUID set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeutils   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 10:18 UTC by Pedro Almeida
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 16:37:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pedro Almeida 2003-11-21 10:18:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When I run 'konsole' on a shell, he says konsole_grantpty doesn't have
the necessary permissions to chmod the respective /dev/pts/X device.
The output is very clear, as well as the solution to the problem.

this is an example output:

[user@host user]$ konsole
konsole: cannot chown /dev/pts/4.
Reason: Operation not permitted
konsole_grantpty not installed root-suid
konsole: chownpty failed for device /dev/pts/4::/dev/pts/4.
       : This means the session can be eavesdroped.
       : Make sure konsole_grantpty is installed in
       : /usr/bin/ and setuid root.


Version-Release number of selected component (if applicable):
kdeutils-3.1.4-1

How reproducible:
Always

Steps to Reproduce:
1. open a console (any one will do)
2. execute 'konsole'
3. read output
    

Actual Results:  jesus dude... that's just it :)

Expected Results:  no output, or almost none

Additional info:

Comment 1 Ngo Than 2004-10-26 16:37:33 UTC
it's not reproduceable in fc2 and next fc3


Note You need to log in before you can comment on or make changes to this bug.